Bug 121687

Summary: [patch] comms/gnokii: several depencancy fixes
Product: Ports & Packages Reporter: Scot Hetzel <swhetzel>
Component: Individual Port(s)Assignee: Rong-En Fan <rafan>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Scot Hetzel 2008-03-14 05:40:01 UTC
When rebuilding comms/gnokii, I found that the port would fail to find libical.so.0.  The reason for this failure is that the current ical port is installing the library as libical.so.27.

I also had the devel/pcsc-lite port installed, and when I built comms/gnokii the configure script found the pcsc-lite library and compiled in support for PC/SC cards.

Another thing I found annoying is the automatic dependency on MySQL and PostgresSQL. For instance, when the x11/kde3 is installed, it will pull in quite a few dependencies when installing the various ports that make up KDE.  During the install, it will install both MySQL and PostgresSQL.  A few ports down the road, it will build gnokii which will detect both *SQL ports are install, which causes gnokii to compile in support for both of them.  I would prefer to have the ability to disable one or both automatic dependencies.

Fix: The attached patch fixes these dependency problems.

Patch attached with submission follows:
How-To-Repeat: Run `make config` and choose the MDNS_AVAHI option, then try to build the port.

Install both MySQL and PostgresSQL, then build the port.  It will have a dependency on both ports.
Comment 1 Edwin Groothuis freebsd_committer 2008-03-14 05:40:06 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Guido Falsi freebsd_committer 2008-03-14 10:30:53 UTC
On Fri, Mar 14, 2008 at 05:40:04AM +0000, Edwin Groothuis wrote:
> Maintainer of comms/gnokii,

I see no problem with the patch, thank you for pointing out the
problems.

I approve it.

-- 
Guido Falsi <mad@madpilot.net>
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2008-03-15 08:14:27 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 4 Rong-En Fan freebsd_committer 2008-03-16 09:09:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

I'll take it.
Comment 5 dfilter service freebsd_committer 2008-03-16 09:11:54 UTC
rafan       2008-03-16 09:11:50 UTC

  FreeBSD ports repository

  Modified files:
    comms/gnokii         Makefile 
  Log:
  - Fix automatic dependencies
  
  PR:             ports/121687
  Submitted by:   Scot Hetzel <swhetzel at gmail.com>
  Approved by:    Guido Falsi <mad at madpilot.net> (maintainer)
  
  Revision  Changes    Path
  1.63      +16 -4     ports/comms/gnokii/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Rong-En Fan freebsd_committer 2008-03-16 09:21:37 UTC
State Changed
From-To: open->closed

Committed. Thanks!